FaceApi
| Method | HTTP request | Description |
|---|---|---|
| create_face_authenticator_using_post | POST /api/web/v2/users/{userid}/face | Create a Face Biometric for a user |
| create_face_using_post | POST /api/web/v1/users/{userid}/face | Create a Face Biometric for a user |
| delete_face_using_delete | DELETE /api/web/v1/face/{faceid} | Delete a Face Biometric by UUID |
| get_faces_using_get | GET /api/web/v1/users/{userid}/faces | Get a list of Face Biometric for a given user |
| get_user_face_settings_using_get | GET /api/web/v1/users/{userid}/settings/face | Get a users Face Biometric settings |
| send_face_activation_email_using_put | PUT /api/web/v1/face/{faceid}/activation | Send an activation email for the Face Biometric |
| update_face_using_put | PUT /api/web/v1/users/{userid}/face | Update the Face Biometric for a given user |
create_face_authenticator_using_post
FaceCreateResponse create_face_authenticator_using_post(userid, face_create_parms)
Create a Face Biometric for a user
Create a Face Biometric authenticator for the specified user. Caller requires the FACE:ADD permission.
The Face Biometric can be created using either the web flow or the mobile flow.
If using the web flow, the Face Biometric can optionally use the Onfido applicantId and workflowRunId to link the Face Biometric
to the correct Onfido applicant and workflow run.
If using the mobile flow, setting deliverActivationEmail to true will send an activation email to the user with instructions to
download the mobile app and complete activation.
Setting returnQRCode to true will include a QR code in the response that can be scanned by the user to start the activation process.
If using the IDaaS stored biometric web flow, the encryptedBiometricToken parameter is required and must include both the
encrypted biometric token and the customer user ID used to create the token in Onfido.
- Api Key Authentication (AdminAPIAuthentication):
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| userid | str | ||
| face_create_parms | FaceCreateParms |
Return type
Authorization
HTTP request headers
- Content-Type: application/json
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful | - |
| 400 | Bad Request | - |
| 401 | Access denied | - |
| 403 | Forbidden | - |
| 404 | Not Found | - |
| 409 | Conflict | - |
create_face_using_post
FaceAuthenticator create_face_using_post(userid, face_create_parms)
Create a Face Biometric for a user
Create a Face for the specified user. Caller requires the FACE:ADD permission.
Example
- Api Key Authentication (AdminAPIAuthentication):
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| userid | str | ||
| face_create_parms | FaceCreateParms |
Return type
Authorization
HTTP request headers
- Content-Type: application/json
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful | - |
| 400 | Bad Request | - |
| 401 | Access denied | - |
| 403 | Forbidden | - |
| 404 | Not Found | - |
| 409 | Conflict | - |
delete_face_using_delete
delete_face_using_delete(faceid)
Delete a Face Biometric by UUID
Delete a Face Biometric authenticator by the specified UUID. Requires the FACE:REMOVE permission.
Example
- Api Key Authentication (AdminAPIAuthentication):
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| faceid | str | The UUID of the Face Biometric to delete. |
Return type
void (empty response body)
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful | - |
| 400 | Bad Request | - |
| 401 | Access denied | - |
| 403 | Forbidden | - |
| 404 | Not Found | - |
| 409 | Conflict | - |
get_faces_using_get
List[FaceAuthenticator] get_faces_using_get(userid)
Get a list of Face Biometric for a given user
Get a list of Face Biometrics authenticators for the specified user UUID. Requires the FACE:VIEW permission.
Example
- Api Key Authentication (AdminAPIAuthentication):
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| userid | str | The UUID of the user to get the Face Biometrics for. |
Return type
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful | - |
| 400 | Bad Request | - |
| 401 | Access denied | - |
| 403 | Forbidden | - |
| 404 | Not Found | - |
| 409 | Conflict | - |
get_user_face_settings_using_get
UserFaceSettings get_user_face_settings_using_get(userid)
Get a users Face Biometric settings
Get Face Biometric settings information for the specified user UUID. Requires the FACE:VIEW permission.
Example
- Api Key Authentication (AdminAPIAuthentication):
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| userid | str | The UUID of the user to get the settings for. |
Return type
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful | - |
| 400 | Bad Request | - |
| 401 | Access denied | - |
| 403 | Forbidden | - |
| 404 | Not Found | - |
| 409 | Conflict | - |
send_face_activation_email_using_put
send_face_activation_email_using_put(faceid)
Send an activation email for the Face Biometric
Send an activation email for the Face Biometric authenticator by the specified UUID. Requires the FACE:ADD permission.
Example
- Api Key Authentication (AdminAPIAuthentication):
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| faceid | str | The UUID of the Face Biometric authenticator to send an activation email for. |
Return type
void (empty response body)
Authorization
HTTP request headers
- Content-Type: Not defined
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful | - |
| 400 | Bad Request | - |
| 401 | Access denied | - |
| 403 | Forbidden | - |
| 404 | Not Found | - |
| 409 | Conflict | - |
update_face_using_put
update_face_using_put(userid, face_update_parms)
Update the Face Biometric for a given user
Update the Face Biometric authenticator for the specified user UUID. Requires the FACE:EDIT permission.
Example
- Api Key Authentication (AdminAPIAuthentication):
Parameters
| Name | Type | Description | Notes |
|---|---|---|---|
| userid | str | The UUID of the user to update the Face Biometric for. | |
| face_update_parms | FaceUpdateParms |
Return type
void (empty response body)
Authorization
HTTP request headers
- Content-Type: application/json
- Accept: application/json
HTTP response details
| Status code | Description | Response headers |
|---|---|---|
| 200 | Successful | - |
| 400 | Bad Request | - |
| 401 | Access denied | - |
| 403 | Forbidden | - |
| 404 | Not Found | - |
| 409 | Conflict | - |